Subject: Re: NYU Open Source Programming Class Releases JavaGit API 0.1.0 Alpha

From: A Large Angry SCM <[email-masked]>
Date: Mon, 04 Aug 2008 20:03:58 -0400

Johannes Schindelin wrote:
> Hi,
> 
> On Mon, 4 Aug 2008, Shawn O. Pearce wrote:
> 
>> James Linder <[email-masked]> wrote:
>>
>>> Jgit/Egit, on the other hand, appear to be tightly integrated with 
>>> Jgit primarily supporting Egit.
>> That's not really true.
> 
> I started using jgit in a project that is not yet totally public.  It is 
> awesome.  (I mean jgit is awesome, even if my project does make me happy, 
> too.)
> 
> And I absolutely share the puzzlement of Shawn why anybody would try to do 
> their own thing in Java, instead of contributing to jgit.
> 
> Especially the fact that "JavaGit" seems to repeat the all-to-obvious 
> error of Eclipse: to make a platform-independent library that depends on 
> platform dependent components.
> 
> I find that kind of thinking so strange, to the point that I am really 
> amazed enough to want to analyze the brain of the people inventing such 
> things.
> 
> But hey, maybe there is a deeper point in it that escapes me.

You mean like "Why is a project with the goal of bringing the power of 
git to Java developers hosted in svn instead of git"?